Provide a clarification to a task
curl --request POST \
--url https://api.bold-factory.com/v1/agents/tasks/{taskId}/clarifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
'import requests
url = "https://api.bold-factory.com/v1/agents/tasks/{taskId}/clarifications"
payload = { "answers": [
{
"question": "<string>",
"answer": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: [{question: '<string>', answer: '<string>'}]})
};
fetch('https://api.bold-factory.com/v1/agents/tasks/{taskId}/clarifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"topic": "<string>",
"status": "Pending",
"origin": "Manual",
"automationId": "<string>",
"automationTriggerId": "<string>",
"ownerUserId": "<string>",
"ownerEmail": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"credits": 123,
"intelligenceLevel": "Low",
"mode": "AllowChanges",
"privacy": "Private",
"errorKind": "Unexpected",
"expired": true
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}AI Tasks
Provide a clarification to a task
Provides answers to pending questions so the Task can continue.
POST
/
v1
/
agents
/
tasks
/
{taskId}
/
clarifications
Provide a clarification to a task
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Cuerpo
application/json
Show child attributes
Show child attributes
Respuesta
OK
Opciones disponibles:
Pending, Running, Completed, ActionRequired, Error Opciones disponibles:
Manual, Scheduled, Event Opciones disponibles:
Low, Medium, High Opciones disponibles:
AllowChanges, ReadOnly Opciones disponibles:
Private, Public Opciones disponibles:
Unexpected, ProcessingTimedOut, ProcessingRecoveryExhausted, InvalidAiResponse, AiProviderError, ContextWindowExceeded, UnsupportedToolCalls, CapacityUnavailable, null ⌘I